import { SocketConf } from './Types';
import { Exporter } from './interfaces/Exporter';
import { Socket } from "./interfaces/Socket";
export declare class Server {
    private port;
    private rpcExporters;
    private conf;
    private io;
    private wsServer;
    constructor(port: number, rpcExporters?: Exporter[], conf?: SocketConf);
    private startWebsocket;
    protected initRPCs(socket: Socket): void;
    protected initPublicRPCs(socket: Socket): void;
}
